MetadataIdentifiers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn.content
Class MetadataIdentifiers

    java.lang.Object
      org.ocap.hn.content.MetadataIdentifiers

    public abstract class MetadataIdentifiers

extends Object

This abstract class represents access to standardized metadata identifiers. Each identifier, e.g. "title", can be used to search for corresponding metadata in a ContentList. The set of identifiers returned by the #getIdentifiers method SHALL contain the `PROPRIETARY_DATA` identifier and MAY contain identifiers defined in other OCAP HN profiles, e.g. UPnP.

Field Summary
`static String` | `PROPRIETARY_DATA` This identifies proprietary data.

Constructor Summary
`MetadataIdentifiers()`

Method Summary
`static boolean` | `contains(String identifier)` Indicates if the parameter identifier is contained within the set of supported identifiers.
`static String[]` | `getIdentifiers()` Gets all metadata identifiers for all HN profiles supported by this Host device.
`static int` | `getNumberOfIdentifiers()` Gets the number of identifiers in the set of supported identifiers returned by the #getIdentifiers method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPRIETARY_DATA

    public static final String PROPRIETARY_DATA

  This identifies proprietary data. The Object returned when using this as a Metadata identifier is defined by the application creating the metadata.

  The value of this field is an OCAP defined string `"ocap:proprietaryData"`. If the proprietary data is an array of bytes the data should be transported as a base 64 String.

  See Also:
    Constant Field Values

Constructor Detail

### MetadataIdentifiers

    public MetadataIdentifiers()

Method Detail

### getIdentifiers

    public static String[] getIdentifiers()

  Gets all metadata identifiers for all HN profiles supported by this Host device.

  Returns:
    Array of Metadata identifiers.

### getNumberOfIdentifiers

    public static int getNumberOfIdentifiers()

  Gets the number of identifiers in the set of supported identifiers returned by the #getIdentifiers method.

  Returns:
    Number of supported metadata identifiers.

### contains

    public static boolean contains(String identifier)

  Indicates if the parameter identifier is contained within the set of supported identifiers.

  Parameters:
    `identifier` - Name of the identifier to search for.
  Returns:
    True if the identifier is supported, otherwise returns false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD